taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.DBus

Synopsis

- module System.Taffybar.DBus.Toggle
- appendHook :: TaffyIO () -> TaffybarConfig -> TaffybarConfig
- startTaffyLogServer :: TaffyIO ()
- withLogServer :: TaffybarConfig -> TaffybarConfig
- withToggleServer :: TaffybarConfig -> TaffybarConfig

# Documentation

module System.Taffybar.DBus.Toggle

appendHook :: TaffyIO () -> TaffybarConfig -> TaffybarConfig Source #

Append the provided `TaffyIO` hook to the `startupHook` of the given `TaffybarConfig`.

startTaffyLogServer :: TaffyIO () Source #

withLogServer :: TaffybarConfig -> TaffybarConfig Source #

withToggleServer :: TaffybarConfig -> TaffybarConfig Source #